# Uses of Interface
org.jfree.chart3d.data.KeyedValues

Packages that use KeyedValues
Package
Description
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.
org.jfree.chart3d.data.category
Datasets that can be used by the `CategoryPlot3D` class.

## Uses of KeyedValues in org.jfree.chart3d.data

Subinterfaces of KeyedValues in org.jfree.chart3d.data
Modifier and Type
Interface
Description
`interface`
`PieDataset3D<K extends Comparable<K>>`
The interface through which the `PiePlot3D` class obtains data for pie charts.
Classes in org.jfree.chart3d.data that implement KeyedValues
Modifier and Type
Class
Description
`final class`
`DefaultKeyedValues<K extends Comparable<K>,T>`
A list of `(key, value)` pairs.
`final class`
`StandardPieDataset3D<K extends Comparable<K>>`
A dataset that can be used with a `PiePlot3D`.
Methods in org.jfree.chart3d.data that return KeyedValues
Modifier and Type
Method
Description
`static KeyedValues<String,Number>`
JSONUtils.`readKeyedValues(Reader reader)`
Parses characters from the supplied reader and returns the corresponding `KeyedValues` instance.
`static KeyedValues<String,Number>`
JSONUtils.`readKeyedValues(String json)`
Parses the supplied JSON string into a `KeyedValues` instance.
Methods in org.jfree.chart3d.data with parameters of type KeyedValues
Modifier and Type
Method
Description
`static String`
JSONUtils.`writeKeyedValues(KeyedValues data)`
Returns a string containing the data in JSON format.
`static void`
JSONUtils.`writeKeyedValues(KeyedValues data, Writer writer)`
Writes the data in JSON format to the supplied writer.

## Uses of KeyedValues in org.jfree.chart3d.data.category

Methods in org.jfree.chart3d.data.category with parameters of type KeyedValues
Modifier and Type
Method
Description
`void`
StandardCategoryDataset3D.`addSeriesAsRow(S seriesKey, KeyedValues<C,? extends Number> data)`
Adds a data series as a single row in the dataset.
`void`
StandardCategoryDataset3D.`addSeriesAsRow(S seriesKey, R rowKey, KeyedValues<C,? extends Number> data)`
Adds a data series as a single row in the dataset.